GWT 2.7.0

## com.google.gwt.event.logical.shared
Interface BeforeSelectionHandler<T>

Type Parameters:
  `T` - the type about to be selected

All Superinterfaces:
  EventHandler

All Known Implementing Classes:
  ListenerWrapper.WrappedTabListener

    public interface BeforeSelectionHandler<T>

extends EventHandler

Handler interface for `BeforeSelectionEvent` events.

Method Summary
`void` | `onBeforeSelection(BeforeSelectionEvent<T> event)` Called when `BeforeSelectionEvent` is fired.

Method Detail

### onBeforeSelection

    void onBeforeSelection(BeforeSelectionEvent<T> event)

  Called when `BeforeSelectionEvent` is fired.

  Parameters:
    `event` - the `BeforeSelectionEvent` that was fired

GWT 2.7.0